org.eclipse.viatra.integration.mwe2.mwe2impl

## Class Sequence

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.mwe2impl.Sequence

- All Implemented Interfaces:
    ICompositeStep, ITransformationStep
  Direct Known Subclasses:
    ForEachLoop, ForLoop, Parallel, WhileLoop

      public class Sequence
      extends java.lang.Object
      implements ITransformationStep, ICompositeStep

  Composite transformation step that implements a basic sequence control flow construction. It initializes and executes its contained steps in the same sequence they have been defined.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext` | `ctx`
    `protected java.util.List<ITransformationStep>` | `step`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sequence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStep(ITransformationStep step)` Via this method ITransformationStep objects can be added to the composite step.
    `void` | `dispose()` If the transformation step contains any resources that need to be disposed of, it can be done here.
    `void` | `execute()` Defines the added functionality of the ITransformationStep object
    `java.util.List<ITransformationStep>` | `getStep()` Via this method ITransformationStep objects can be queried.
    `void` | `initialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)` In this method the transformation step can be initialized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### step

          protected final java.util.List<ITransformationStep> step

    - #### ctx

          protected org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx

  - ### Constructor Detail

    - #### Sequence

          public Sequence()

  - ### Method Detail

    - #### addStep

          public void addStep(ITransformationStep step)

      Description copied from interface: `ICompositeStep`
      Via this method ITransformationStep objects can be added to the composite step. These transformation steps represent the different simple and complex (loop, sequence) steps in a complex transformation chain (For example: Model to model transformation, code generation...)
      Specified by:
        `addStep` in interface `ICompositeStep`

    - #### getStep

          public java.util.List<ITransformationStep> getStep()

      Description copied from interface: `ICompositeStep`
      Via this method ITransformationStep objects can be queried. These transformation steps represent the different simple and complex (loop, sequence) steps in a complex transformation chain (For example: Model to model transformation, code generation...).
      Specified by:
        `getStep` in interface `ICompositeStep`

    - #### initialize

          public void initialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)

      Description copied from interface: `ITransformationStep`
      In this method the transformation step can be initialized. The workflow context is handed to the transformation step
      Specified by:
        `initialize` in interface `ITransformationStep`
      Parameters:
        `ctx` - The context of the workflow, which can contain various workflow-specific resources.

    - #### execute

          public void execute()

      Description copied from interface: `ITransformationStep`
      Defines the added functionality of the ITransformationStep object
      Specified by:
        `execute` in interface `ITransformationStep`

    - #### dispose

          public void dispose()

      Description copied from interface: `ITransformationStep`
      If the transformation step contains any resources that need to be disposed of, it can be done here.
      Specified by:
        `dispose` in interface `ITransformationStep`